Package org.silverpeas.mobile.shared.dto.media

## Class PhotoDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.media.MediaDTO
    - - org.silverpeas.mobile.shared.dto.media.PhotoDTO

- All Implemented Interfaces:
    `Serializable`

      public class PhotoDTO
      extends MediaDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhotoDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDataPhoto()` |
    `String` | `getFormat()` |
    `int` | `getSizeH()` |
    `int` | `getSizeL()` |
    `void` | `setDataPhoto​(String dataPhoto)` |
    `void` | `setFormat​(String format)` |
    `void` | `setSizeH​(int sizeH)` |
    `void` | `setSizeL​(int sizeL)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.media.MediaDTO

      `getCommentsNumber, getCreationDate, getCreator, getDownload, getInstance, getMimeType, getName, getSize, getTitle, getUpdateDate, getUpdater, setCommentsNumber, setCreationDate, setCreator, setDownload, setInstance, setMimeType, setName, setSize, setTitle, setUpdateDate, setUpdater`

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhotoDTO

          public PhotoDTO()

  - ### Method Detail

    - #### getDataPhoto

          public String getDataPhoto()

    - #### setDataPhoto

          public void setDataPhoto​(String dataPhoto)

    - #### getFormat

          public String getFormat()

    - #### setFormat

          public void setFormat​(String format)

    - #### setSizeH

          public void setSizeH​(int sizeH)

    - #### getSizeH

          public int getSizeH()

    - #### setSizeL

          public void setSizeL​(int sizeL)

    - #### getSizeL

          public int getSizeL()